Arch 3 vues depuis un maillage

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch 3Views and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎română • ‎русский

Arch 3Views.svg 3Vues

Emplacement du menu
Architecture → Utilitaires → 3 vues depuis un Maillage
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

Cette commande n'est pas utilisée actuellement. Elle servira à générer des vues planes, basées sur des formes, à partir d'un objet Mesh, à utiliser par l'outil Arch Equipment.

Utilisation

  • Sélectionnez un objet Mesh
  • Sélectionnez Menu Arch → Utilities → Arch 3Views.svg 3 vues

Script

Voir aussi : Arch API et FreeCAD Scripting Basics.

Cet outil peut être utilisé dans des macros et à partir de la console Python à l'aide de la fonction suivante:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Crée un shape plan qui est la projection de l'objet maillé donné (obj) dans la direction donnée.
  • Si outeronly est True, seul le contour extérieur est pris en compte, en ignorant les trous intérieurs.
  • Si mostonly est True, seul le plus grand segment du maillage donné sera utilisé.

Utilisez Part.show() pour afficher la forme plane résultante.

Exemple:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False